Bug 247522 - [exp-run] Update byacc in base to 20200330
Summary: [exp-run] Update byacc in base to 20200330
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-24 16:25 UTC by Jung-uk Kim
Modified: 2020-07-14 02:20 UTC (History)
1 user (show)

See Also:
jkim: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2020-06-24 16:25:50 UTC
I am planning on updating base yacc to the latest version.  Please do exp-run with the attached patch.
Comment 1 Jung-uk Kim freebsd_committer 2020-06-24 16:29:42 UTC
The patch was too big to attach.  Please download the patch from here.

https://people.freebsd.org/~jkim/byacc-20200330.diff
Comment 2 Antoine Brodin freebsd_committer 2020-07-06 07:57:34 UTC
Buildworld fails to complete:

make[5]: make[5]: don't know how to make big_b.output. Stop
Comment 3 Jung-uk Kim freebsd_committer 2020-07-06 17:06:14 UTC
(In reply to Antoine Brodin from comment #2)
There are many empty files in test directory.  Please download this tarball and extract it under src directory.

https://people.freebsd.org/~jkim/byacc_test.tar.xz

Sorry for the inconvenience.
Comment 5 commit-hook freebsd_committer 2020-07-14 01:40:40 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 01:39:42 UTC 2020
New revision: 542173
URL: https://svnweb.freebsd.org/changeset/ports/542173

Log:
  Honor $YACC and fix build with recent byacc.

  PR:		247522

Changes:
  head/cad/alliance/Makefile
  head/cad/alliance/files/patch-exp_src_Makefile.am
  head/cad/alliance/files/patch-fvh_src_fbl__byacc.h
Comment 6 commit-hook freebsd_committer 2020-07-14 01:47:42 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 01:47:29 UTC 2020
New revision: 542174
URL: https://svnweb.freebsd.org/changeset/ports/542174

Log:
  Fix build with recent byacc.

  PR:		247522

Changes:
  head/mail/emil/files/patch-getoption.y
Comment 7 commit-hook freebsd_committer 2020-07-14 01:57:44 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 01:56:49 UTC 2020
New revision: 542176
URL: https://svnweb.freebsd.org/changeset/ports/542176

Log:
  Fix build with recent byacc on head after r363170.

  PR:		247522

Changes:
  head/ftp/smbftpd/files/patch-ftpcmd.y
Comment 8 commit-hook freebsd_committer 2020-07-14 01:58:46 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 01:58:10 UTC 2020
New revision: 542177
URL: https://svnweb.freebsd.org/changeset/ports/542177

Log:
  Fix build with recent byacc on head after r363170.

  PR:		247522

Changes:
  head/net/rdist6/files/patch-src_gram.y
Comment 9 Jung-uk Kim freebsd_committer 2020-07-14 02:05:06 UTC
All ports should build fine now.  Thanks!
Comment 10 commit-hook freebsd_committer 2020-07-14 02:16:49 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 02:16:22 UTC 2020
New revision: 542178
URL: https://svnweb.freebsd.org/changeset/ports/542178

Log:
  MFH:	r542173

  Honor $YACC and fix build with recent byacc on head after r363170.

  PR:		247522

  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/cad/alliance/Makefile
  branches/2020Q3/cad/alliance/files/patch-exp_src_Makefile.am
  branches/2020Q3/cad/alliance/files/patch-fvh_src_fbl__byacc.h
Comment 11 commit-hook freebsd_committer 2020-07-14 02:18:50 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 02:18:01 UTC 2020
New revision: 542179
URL: https://svnweb.freebsd.org/changeset/ports/542179

Log:
  MFH:	r542174

  Fix build with recent byacc on head after r363170`.

  PR:		247522

  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/mail/emil/files/patch-getoption.y
Comment 12 commit-hook freebsd_committer 2020-07-14 02:19:51 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 02:19:36 UTC 2020
New revision: 542180
URL: https://svnweb.freebsd.org/changeset/ports/542180

Log:
  MFH:	r542176

  Fix build with recent byacc on head after r363170.

  PR:		247522
  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/ftp/smbftpd/files/patch-ftpcmd.y
Comment 13 commit-hook freebsd_committer 2020-07-14 02:20:52 UTC
A commit references this bug:

Author: jkim
Date: Tue Jul 14 02:20:44 UTC 2020
New revision: 542181
URL: https://svnweb.freebsd.org/changeset/ports/542181

Log:
  MFH:	r542177

  Fix build with recent byacc on head after r363170.

  PR:		247522
  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/net/rdist6/files/patch-src_gram.y